This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 171868 - pvcreate /dev/md0 is broken with 2.6.12-1.1380_FC3
pvcreate /dev/md0 is broken with 2.6.12-1.1380_FC3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 05:48 EDT by Christian DELAIR
Modified: 2015-07-20 15:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: old
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-19 17:34:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian DELAIR 2005-10-27 05:48:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
# This small test freeze under 2.6.12-1.1380_FC3
# but it's works well on 2.6.12-1.1378_FC3

# uname -a
Linux boson 2.6.12-1.1380_FC3 #1 Wed Oct 19 20:34:13 EDT 2005 i686 i686 i386 GNU/Linux
# fdisk -l /dev/hda | grep hda11
/dev/hda11          70566       77545     3517888+  83  Linux
# mdadm -C /dev/md0 -l 1 -n 2 /dev/hda11 missing
mdadm: /dev/hda11 appears to contain an ext2fs file system
    size=3517888K  mtime=Mon Sep 12 11:08:03 2005
Continue creating array? y
mdadm: array /dev/md0 started.
# pvcreate /dev/md0

... the shell freeze and the physical volume is not initialised ...



Version-Release number of selected component (if applicable):
lvm2-2.00.25-1.01

How reproducible:
Always

Steps to Reproduce:
1)  mdadm -C /dev/md0 -l 1 -n 2 /dev/hda11 missing
2)  pvcreate /dev/md0


Actual Results:  ... the shell freeze and the physical volume is not initialised ...

For exemple, it is now impossible to do these 2 commands :

  mdadm -S /dev/md0
  cat /proc/mdstat

It is also impossible to kill these 2 process :

root      3946     1  0 18:52 ?        00:00:00 [md0_raid1]
root      3954  3895  0 18:52 pts/2    00:00:00 pvcreate /dev/md0

The system is unable to shutdown properly.
Trying to shutdown using : init 6 
The system start to shutdown, but at the very end, 
it send the following error message:

"umount2: Device or resource busy" and wait indefinitly...

So, you need to poweroff.


Expected Results:  The physical volume correctly initialised over /dev/md0

Additional info:

pvcreate /dev/hda11 is working
The problem is only seen when used over an md device (I have only tested with md raid1)
Comment 1 Christian DELAIR 2005-10-27 13:07:25 EDT
I also have tested with kernel 2.6.12-1.1376_FC3. It works well.
I have tested on differents machines. Kernel 1380 always failed.

A simple way that show the problem if no physical partition is free for the test.

Steps to reproduce

1) dd if=/dev/zero of=/Test_file bs=1k count=10000
2) losetup /dev/loop0 /Test_file
3) mdadm -C /dev/md0 -l 1 -n 2 /dev/loop0 missing
4) pvcreate /dev/md0
Comment 2 Christian DELAIR 2005-10-29 06:21:56 EDT
This problem no more exist under the kernel 2.6.12-1.1381_FC3
Comment 3 Matthew Miller 2006-07-10 19:23:42 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.